> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Countries

> Use this to retrieve a list of supported countries



## OpenAPI

````yaml GET /v1/countries
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/countries:
    get:
      description: Use this to retrieve a list of supported countries
      responses:
        '200':
          description: Successful response with list of countries
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Operation successful
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                        code:
                          type: string
                          example: NGA
                        name:
                          type: string
                          example: Nigeria
                        currencyCode:
                          type: string
                          example: NGN
                        dialCode:
                          type: string
                          example: '234'
                        flag:
                          type: string
                          example: assets/flags/nga.png
                        active:
                          type: boolean
                          example: true
                        createdAt:
                          type: string
                          format: date-time
                          example: '2026-03-25T07:09:06Z'
                        updatedAt:
                          type: string
                          format: date-time
                          example: '2026-03-25T07:09:06Z'
                  meta:
                    type: object
                    properties:
                      timestamp:
                        type: string
                        format: date-time
        '401':
          description: Unauthorized – invalid client credentials

````